- Tax Forms
- Get a tax form parsing request
Tax Forms
Get a tax form parsing request
Retrieve a tax form parsing request with the extracted data.
GET
/v1/taxpayers/{taxpayerId}/tax-form-parsing-requests/{taxFormParsingRequestId}
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-form-parsing-requests/{taxFormParsingRequestId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-form-parsing-requests/{taxFormParsingRequestId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'Authorizations
bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.
Query Parameters
taxFormParsingRequestId
required
string
Unique identifier of the tax form parsing request.
taxpayerId
required
string
Unique identifier of the taxpayer.
x-api-key
required
string
API key of your Client Application.
Response
application/json
200
401
403
404
OK
taxPayerId
string
The unique identifier of the taxpayer.
status
string
The status of the parsing request.
taxFormType
string
The type of tax form.
taxFormParsing
object
Parsed data from the tax form.
errors
string[]
Array of parsing errors.
storagePath
string
Storage path of the tax form.
preSignedStoragePath
string
Pre-signed URL for accessing the stored file.
preSignedSourceFileStoragePath
string
Pre-signed URL for accessing the source file.
paymentType
object
Payment type information.
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-form-parsing-requests/{taxFormParsingRequestId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-form-parsing-requests/{taxFormParsingRequestId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'